---
updatedAt: 2026-06-06T07:52:57.000Z
agentTools:
  projectIndex: https://developers.paygreen.fr/llms.txt
---

# List Transactions amounts

(**Deprecated**): Returns the list of Transactions amounts. **Deprecated**: this route is deprecated and will be removed in future versions. Please use the [GET /payment/operations/amounts](#/Operations/get_list_operations_amounts) route instead.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Payment API",
    "description": "This API processes PayGreen V3 payment",
    "version": "1.46.3"
  },
  "servers": [
    {
      "url": "https://api.paygreen.fr",
      "description": "Production environment"
    },
    {
      "url": "https://sb-api.paygreen.fr",
      "description": "Sandbox environment"
    }
  ],
  "paths": {
    "/payment/transactions/amounts": {
      "get": {
        "tags": [
          "Transactions"
        ],
        "summary": "List Transactions amounts",
        "description": "(**Deprecated**): Returns the list of Transactions amounts. **Deprecated**: this route is deprecated and will be removed in future versions. Please use the [GET /payment/operations/amounts](#/Operations/get_list_operations_amounts) route instead.",
        "operationId": "get_list_transactions_amounts",
        "parameters": [
          {
            "name": "requester_shop_id",
            "in": "query",
            "description": "The Shop ID that initiated the Transaction. In a Marketplace mode, this is the Marketplace Shop ID.",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": "sh_[0-9a-f]{32}"
            },
            "example": "sh_9cc7d137d12f4c7b9d72ef4a279b3d2d"
          },
          {
            "name": "shop_id",
            "in": "query",
            "description": "The beneficiary Shop ID. In a Marketplace mode, this is the sub-entity ID.",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "sh_[0-9a-f]{32}"
            },
            "example": "sh_9cc7d137d12f4c7b9d72ef4a279b3d2d"
          },
          {
            "name": "buyer_id",
            "in": "query",
            "description": "The Buyer ID that initiated the Transaction.",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "buy_[0-9a-f]{32}"
            },
            "example": "buy_83b69ca083eb4b6aba942dbce0157377"
          },
          {
            "name": "start_at",
            "in": "query",
            "description": "Use this\n        parameter to return only Transactions amounts later than this date. `start_at` and `end_at` must not be more than three month apart",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date"
            },
            "example": "1970-01-01"
          },
          {
            "name": "end_at",
            "in": "query",
            "description": "Use this parameter to return only Transactions amounts earlier than this date. `start_at` and `end_at` must not be more than three month apart",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date"
            },
            "example": "1970-02-01"
          }
        ],
        "responses": {
          "200": {
            "description": "List Transactions amounts.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OperationAmountResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          }
        },
        "deprecated": true,
        "security": [
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "OperationAmountResponse": {
        "properties": {
          "data": {
            "properties": {
              "period": {
                "properties": {
                  "details": {
                    "description": "An array of the number of operations in the selected period.",
                    "type": "array",
                    "items": {}
                  },
                  "total_amount_pending": {
                    "type": "integer"
                  },
                  "total_amount_authorized": {
                    "type": "integer"
                  },
                  "total_amount_captured": {
                    "type": "integer"
                  },
                  "total_amount_refunded": {
                    "type": "integer"
                  }
                },
                "type": "object"
              },
              "today": {
                "properties": {
                  "details": {
                    "description": "An array of the number of operations today.",
                    "type": "array",
                    "items": {}
                  },
                  "total_amount_pending": {
                    "type": "integer"
                  },
                  "total_amount_authorized": {
                    "type": "integer"
                  },
                  "total_amount_captured": {
                    "type": "integer"
                  },
                  "total_amount_refunded": {
                    "type": "integer"
                  }
                },
                "type": "object"
              }
            },
            "type": "object"
          },
          "criteria": {
            "description": "The dates used for the calculation",
            "properties": {
              "start_at": {
                "type": "string",
                "format": "date-time",
                "example": "2023-07-23T08:25:14+00:00"
              },
              "end_at": {
                "type": "string",
                "format": "date-time",
                "example": "2023-07-23T08:25:14+00:00"
              }
            },
            "type": "object"
          },
          "timestamp": {
            "description": "The timestamp when the calculation was done",
            "type": "string",
            "format": "date-time",
            "example": "2023-07-23T08:25:14+00:00"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "bearerFormat": "JWT",
        "scheme": "bearer"
      }
    }
  },
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Transactions"
    }
  ]
}
```